Page MenuHomeFreeBSD

graphics/blender: update to 4.0.2 and all dependencies
ClosedPublic

Authored by vvd on May 1 2024, 9:04 PM.
Tags
None
Referenced Files
F86032402: D45051.diff
Fri, Jun 14, 8:41 AM
Unknown Object (File)
Sun, Jun 9, 3:32 PM
Unknown Object (File)
Thu, May 30, 5:27 PM
Unknown Object (File)
Wed, May 29, 8:31 PM
Unknown Object (File)
Thu, May 23, 12:12 AM
Unknown Object (File)
Thu, May 16, 7:53 PM
Unknown Object (File)
May 13 2024, 5:21 AM
Unknown Object (File)
May 10 2024, 6:50 PM
Subscribers

Details

Summary

Full list:

Already released blender 4.1.1, 4.2.0 will be released this summer (https://projects.blender.org/blender/blender/milestone/19) - time to go forward!

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

vvd requested review of this revision.May 1 2024, 9:04 PM
vvd created this revision.

Improvement after testing build with different options in poudriere.

Also I don't like this:
Warning: you might not need LIB_DEPENDS on libhdf5.so
Warning: you might not need LIB_DEPENDS on libunwind.so
Warning: you might not need LIB_DEPENDS on libtinyxml.so
Warning: you might not need LIB_DEPENDS on libblosc.so
Warning: you might not need LIB_DEPENDS on libpulse.so
Warning: you might not need LIB_DEPENDS on libGL.so
Warning: you might not need LIB_DEPENDS on libGLU.so
Warning: you might not need LIB_DEPENDS on libGLEW.so
Warning: you might not need LIB_DEPENDS on libintl.so
Warning: you might not need LIB_DEPENDS on libiconv.so
Warning: you might not need LIB_DEPENDS on libalut.so.0
Warning: you might not need LIB_DEPENDS on libminizip-ng.so
Warning: you might not need LIB_DEPENDS on libSDL2.so
but I don't dare touch it.

In addition, it is very labor-intensive and resource-intensive to fix.

This revision was not accepted when it landed; it landed in state Needs Review.Wed, May 29, 8:27 PM
This revision was automatically updated to reflect the committed changes.